Kerbal Space Program - Bug #1785

Crash when entering training and scenario menu
11/15/2013 11:59 AM - DDDD

Status: Closed Start date: 11/15/2013
Severity: Low % Done: 100%
Assignee:
Category:
Target version:
Version: 0.22 Language: English (US)
Platform: Linux Mod Related: No

Expansion:

Description
When | click on either training or scenario to enter either menu, the game shortly displays the list of missions and then crashes.

| selectevely deleted each mission file, and it seems that the game crashes when loading the following missions:
Training:
C_Orbit101.sfs

Scenario:

EVA in Kerbin Orbit.sfs
Impending Impact.sfs
un Orbit.sfs

History

#1-11/21/2013 01:01 AM - jeremyd2019
- File Player.log.bz2 added
- Status changed from New to Confirmed

- % Done changed from 0 to 10
Me too (sorry, had to say it).
| also had this issue in 0.21.1, but not in 0.20.2.

| reported this to support@kerbalspaceprogram.com on Aug 5, 2013 but never heard anything, and it still happens in 0.22.0.

| am attaching my Player.log.bz2 that | sent on Aug 5 from 0.21.1. | also sent a link to a core dump from 0.21.1, which was:
https://www.amazon.com/clouddrive/share?s=F3uaQFxOQt0rQTZAhepLLY

#2 - 12/04/2013 11:39 PM - lahtis@gmail.com

Same bug also. Im using 0.32 version.
Ubuntu 12.10 with Steam install.

#3 - 01/08/2014 01:08 PM - SirCmpwn

Can also reproduce on 64-bit Arch Linux, KSP 0.23 Steam, uname -a: Linux homura 3.12.6-1-ARCH #1 SMP PREEMPT Fri Dec 20 19:39:00 CET
2013 x86_64 GNU/Linux

#4 - 01/08/2014 11:57 PM - TruePikachu
I'm slightly worried about all the missing transforms, but no idea, | run KSP on Windows since | can't get Steam working on Linux

Are the banner textures mentioned on 5274..5302 all valid and not corrupt? | ask this because sometimes feh(1) dies on an image, but | don't know
how similar KSP and feh are with loading images.

Also, when you say 'loading', do you mean adding to the list or after selecting it? | don't see that it tried to load in the dump.

#5 - 04/07/2014 06:56 AM - Oliver

When entering the menu | get a core dump on 0.23.5. With 0.23.0 the screen loads, but there are graphical gliches on the mission thumbnail images.
Kubuntu 13.10 amd64, nvidia proprietary drivers.

#6 - 07/18/2014 10:19 AM - Oliver
Works with 0.24.0.0

#7 - 11/20/2015 12:12 PM - sal_vager
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

No longer occurring in build 1028, something fixed it.

#8 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed
